/*
  Addr
  Unpack compact (word) addresses into segments and offsets.
  The encoding depends on the game version.
  JBS 15 June 1994
  After version 6 it also depends on text or code (different offsets)
  JBS 18 Nov 1995
*/

#ifndef _ADDR_

#define _ADDR_

#include "types.h"

int init_addr(void);
long_word ad_raw_addr(long_word);
long_word ad_code_addr(word);
long_word ad_text_addr(word);

#endif
